nvme_identify_iocs_ns_csi_user_data_format(2)

NAME
nvme_identify_iocs_ns_csi_user_data_format - Identify I/O command set namespace data structure

SYNOPSIS
int nvme_identify_iocs_ns_csi_user_data_format (int fd , __u16 user_data_format , __u8 uuidx , enum nvme_csi csi , void *data );

ARGUMENTS

fd  File descriptor of nvme device

user_data_format
    Return namespaces capability of identifier

uuidx
    UUID selection, if supported

csi Command Set Identifier

data
    User space destination address to transfer the data

DESCRIPTION
I/O Command Set specific Identify Namespace data structure for the specified User Data Format index containing the namespace capabilities for the I/O Command Set specified in the CSI field.

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.